      SUBROUTINE SEIG1(A,KA,N,W,T,IERR)
      DIMENSION A(1),W(N),T(N)
      IF (KA.EQ.0) GO TO 10
      CALL TRED1(KA,N,A,W,T,T)
      CALL IMTQL1(N,W,T,IERR)
      RETURN
10    L=N*(N+1)
      L=L/2
      CALL TRED3(N,L,A,W,T,T)
      CALL IMTQL1(N,W,T,IERR)
      RETURN
      END
